Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Onboarding
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • GetCasesByOrganization
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
      • AcceptEvictionRequest
      • RejectEvictionRequest
      • AcceptEvictionConfirmation
      • RejectEvictionConfirmation
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
    • ErrorHandling
      • How to
      • Codes
        • DUPLICATE_UNIQUE_SOURCE_PAYMENT_ID
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  • Pay
    • AmiliPay API Introduction
    • Industry Categories Reference
    • Webhooks Reference
    • Merchant
      • List all customers
      • Create customer
      • Retrieve customer
      • Update customer
      • Create customer token
      • Retrieve pricing for a merchant
      • Update pricing for a merchant
      • List a customer's accepted agreements
    • User
      • List all users
      • Create user
      • Retrieve user
      • Update user
      • Delete user
    • Onboarding
      • Create onboarding application
        POST
      • Retrieve onboarding application
        GET
      • Update onboarding application
        PUT
      • Delete onboarding application
        DELETE
      • Start processing onboarding
        POST
      • Delete onboarding shareholder
        DELETE
      • Create onboarding document
        POST
      • Retrieve onboarding document
        GET
      • Delete onboarding document
        DELETE
      • Retrieve available account agreements
        GET
      • Create onboarding agreement
        POST
      • Mark selected agreement as an accepted by the account
        POST
      • Retrieve a single agreement
        GET
      • Update onboarding agreement
        PUT
      • Deactivate agreement
        DELETE
    • Invoice
      • List all invoices
      • Create invoice
      • Retrieve invoice
      • Update invoice
      • Delete invoice
      • Refund invoice
    • Transactions
      • Get invoice transactions
    • Payout
      • List all payouts
      • Retrieve payout
      • Retrieve payout details
    • Product lines classification
      • Upload a CSV file
      • Manually get processed CSV file path
      • Download a previously uploaded CSV file
  1. Onboarding

Create onboarding application

POST
/v1/onboardings/
Creates a new onboarding application for a customer account. Only account_id is required to start the application, but full onboarding requires company, payout, and shareholder details. Use hosted onboarding when you want the customer to complete the flow in the embedded widget; use self-hosted onboarding if you collect the data yourself and still finalize it through the hosted widget. Documents for the company and shareholders are uploaded separately through the onboarding documents endpoints.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/json

Examples

Responses

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/onboardings/' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "account_id": 41
}'
Response Response Example
201 - response
{
    "data": {
        "id": "98c96cc9-c5b4-4faa-a6e7-7206c0529b35",
        "account_id": 5,
        "status": "STARTED",
        "status_changed_at": "2023-03-27 11:20:10",
        "ownership_category": null,
        "created_at": "2023-03-27 11:20:10",
        "updated_at": "2023-03-27 11:20:10"
    }
}
Modified at 2026-09-25 07:15:05
Previous
Delete user
Next
Retrieve onboarding application
Built with